# lugins/osg/ClipNode.cpp File Reference

`#include "osg/ClipNode"`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/ClipNode.cpp:

## Functions

bool | ClipNode_readLocalData (Object &obj, Input &fr)
bool | ClipNode_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_ClipNodeProxy (new osg::ClipNode,"ClipNode","Object Node ClipNode Group",&ClipNode_readLocalData,&ClipNode_writeLocalData)

## Function Documentation

bool ClipNode_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool ClipNode_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_ClipNodeProxy(new osg::ClipNode,"ClipNode","Object Node ClipNode Group",&ClipNode_readLocalData,&ClipNode_writeLocalData)